AOZ Studio Beta - Bug #865

1 pixel bobs don't have collisions detected
11/13/2021 03:17 PM - Paul Kitching

Status: Resolved Start date: 11/13/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B11) ut17

Description

| use a 1 pixel bob at the mouse x,y to detect collisions with bobs. This stopped working in Beta 10 and is still the same in Beta 11.
If I make the bob 2x2 pixels collisions work.

Make two images in 1.images. 100.pixel1.png and 101.pixel2.png

The first should be a 1x1 pixel and the second is 2x2

If you press space to change between them, you will only get collisions for the larger one.

flash off:curs off
ink 17
bar 10,10,10,10
get image 99,10,10,10,10
bob 1,50,50,99
presstimef#=timer
size=100
do
if inkey$<>"" and timer-presstimer#>1
add size, 1,100 to 101
presstime#=timer
end if
bob 2,x mouse,y mouse,size
if bob col(2)
if col(1l)
cls
locate 0,0:print "hit"
end if
else
cls
locate 0,0:print "no collision","bob"+str$ (size)
end if
wait vbl
loop

History

#1 - 12/07/2021 07:12 AM - Francois Lionet

- Status changed from New to Resolved

Fixed!
